### Hierarchy

- IGridRow

### Implemented by

- GridRow

## Index

### Properties

- dataset
- hidden
- params
- row
- rowEl

### Methods

- setHeight
- setIndex
- setOffet
- setPosition

## Properties

### dataset

dataset: IGridRowDataset

- Defined in Grid3/GridRow.ts:20

### hidden

hidden: boolean

- Defined in Grid3/GridRow.ts:22

### params

params: IGridRowParams

- Defined in Grid3/GridRow.ts:19

### row

row: number

- Defined in Grid3/GridRow.ts:23

### rowEl

rowEl: HTMLDivElement

- Defined in Grid3/GridRow.ts:21

## Methods

### setHeight

- setHeight(size: number): void

- - Defined in Grid3/GridRow.ts:24

  #### Parameters

  - ##### size: number

  #### Returns void

### setIndex

- setIndex(row: number, y: number, zIndex: number): void

- - Defined in Grid3/GridRow.ts:27

  #### Parameters

  - ##### row: number

  - ##### y: number

  - ##### zIndex: number

  #### Returns void

### setOffet

- setOffet(offset: number): void

- - Defined in Grid3/GridRow.ts:25

  #### Parameters

  - ##### offset: number

  #### Returns void

### setPosition

- setPosition(offset: number): void

- - Defined in Grid3/GridRow.ts:26

  #### Parameters

  - ##### offset: number

  #### Returns void

Generated using TypeDoc